"use strict";

const addCommonFields = require("../event-add-common-fields");

module.exports = function mapRedactionEvent(event, _context) {
	return addCommonFields(event, {
		type: "redaction",
		sender: event.sender,
		redactedEvent: event.redacts,
		reason: event.content.reason
	});
};
